2

I've got CiviCRM installed within a WordPress context, and both are updated. The problem is that, with the last update that occurred, I can no longer get to CiviCRM. Instead, I get the following displayed on a blank page without any styling:

Initialization Error

Array
(
    [callback] => Array
        (
            [0] => CRM_Core_Error
            [1] => simpleHandler
        )

    [code] => -25
    [message] => DB Error: extension not found
    [mode] => 16
    [debug_info] =>  [DB Error: extension not found]
    [type] => DB_Error
    [user_info] =>  [DB Error: extension not found]
    [to_string] => [db_error: message="DB Error: extension not found" code=-25 mode=callback callback=CRM_Core_Error::simpleHandler prefix="" info=" [DB Error: extension not found]"]
)

Does anyone have any idea how I can fix this? It says an extension is not found, but there is no mention of what the extension is or why it's missing as the result of an update.

  • It would be helpful if you could provide some more information about the versions of CiviCRM and of WordPress. Also please state which version you upgraded from. – William Mortada Apr 15 '16 at 8:10
  • 1
    It is WordPress 4.5 and ViviCRM version 4.6. I don't remember the version of CiviCRM that I upgraded from, but it would be the immediately preceding version. I don't monitor the CiviCRM site on a daily basis. I upgrade when WordPress alerts me. – LarryTX Apr 17 '16 at 17:22
2

This turned out to be the issue with PEAR trying to load DB (mysql) extension. PHP mysql extension is removed from PHP7.

For those who landed here with same errors, when trying to execute commands with civix or drush which uses command-line php (php-cli), if your OS has installed both PHP5 and PHP7, the default php command available in /usr/bin/php refers to PHP7 while PHP5 executable will be available as /usr/bin/php5

One needs to update /usr/bin/php to /usr/bin/php7 and direct /usr/bin/php5 towards /usr/bin/php. Maybe using update-alternatives would be best suited.

  • 1
    Thank you, I had this exact issue with civicrm-buildkit earlier this week! – Jon G - Megaphone Tech Nov 3 '16 at 15:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.